/**
 * EntityClassManufacturedMaterial.java
 *
 * File generated from the medication::EntityClassManufacturedMaterial uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassManufacturedMaterial.
 *
 * 
 */

@XmlType(name = "EntityClassManufacturedMaterial")
@XmlEnum
@XmlRootElement(name = "EntityClassManufacturedMaterial")
public enum EntityClassManufacturedMaterial {
	@XmlEnumValue("MMAT")
	MMAT("MMAT"),
	@XmlEnumValue("CONT")
	CONT("CONT"),
	@XmlEnumValue("HOLD")
	HOLD("HOLD"),
	@XmlEnumValue("DEV")
	DEV("DEV"),
	@XmlEnumValue("CER")
	CER("CER"),
	@XmlEnumValue("MODDV")
	MODDV("MODDV");
	
	private final String value;

    EntityClassManufacturedMaterial(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static EntityClassManufacturedMaterial fromValue(String v) {
        for (EntityClassManufacturedMaterial c: EntityClassManufacturedMaterial.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}